/* SSD1322
   MOD:5664ASYDF01 */

#include "io51.h"
//#include<reg51.h>
//#include<intrins.h>
//#define DATAPORT P1
#define nRDB	P3_0 //
#define nWRB	P3_1 //д
#define RS	P3_2 ///
#define nRESB   P3_3 //λ
#define nCSB    P3_4 //Ƭѡ

void Initial_ssd1322(void);
void Write_Register(unsigned char Data);
void Write_Parameter(unsigned char Data);
void Delay(unsigned int Data);
void fill(unsigned char dat1,unsigned char dat2);

void ver(void); //ʾ
void hor(void); //ʾ
void snow(void); //ʾѩ״
void clear(void); //
void Grayscale(void); //Ҷȱ
void Fill_Block(unsigned char Data, unsigned char a, unsigned char b, unsigned char c, unsigned char d); //
void Set_Row_Address(unsigned char a, unsigned char b); //ַ
void Set_Column_Address(unsigned char a, unsigned char b); //ַ

int main(void)
{

    Initial_ssd1322();
    while(1)
     {

         Grayscale();
         Delay(600);
         clear();

        snow();
        Delay(600);
        clear();

        hor();
        Delay(600);
        clear();

        ver();
        Delay(600);
        clear();

       fill(0xff,0xff);
        Delay(600);
        clear();

	 }
}

void Initial_ssd1322(void)
{
  nRESB=0;
	nCSB=0;

	Delay(100);
	nWRB=1;
	RS=1;
	nRDB=1;
	nCSB=1;
	nRESB=1;

       Write_Register(0xFD);    /*SET COMMAND LOCK*/
       Write_Parameter(0x12);   /* UNLOCK */

       Write_Register(0xAE);    /*DISPLAY OFF*/

       Write_Register(0xB3);    /*DISPLAY DIVIDE CLOCKRADIO/OSCILLATAR FREQUANCY*/
       Write_Parameter(0x91);

       Write_Register(0xCA);    /*multiplex ratio*/
       Write_Parameter(0x3F);    /*duty = 1/64*/

       Write_Register(0xA2);    /*set offset*/
       Write_Parameter(0x00);

        Write_Register(0xA1);    /*start line*/
       Write_Parameter(0x00);

       Write_Register(0xA0);    /*set remap*/
      Write_Parameter(0x14);
       Write_Parameter(0x11);

       /*Write_Register(0xB5);    GPIO
       Write_Register(0x00);   */

       Write_Register(0xAB);    /*funtion selection*/
       Write_Parameter(0x01);    /* selection external vdd */

       Write_Register(0xB4);    /*  */
       Write_Parameter(0xA0);
       Write_Parameter(0xfd);

       Write_Register(0xC1);    /*set contrast current */
       Write_Parameter(0x9f);

       Write_Register(0xC7);    /*master contrast current control*/
       Write_Parameter(0x0f);

      /* Write_Register(0xB9);    GRAY TABLE*/

       Write_Register(0xB1);    /*SET PHASE LENGTH*/
       Write_Parameter(0xE2);

       Write_Register(0xD1);    /**/
       Write_Parameter(0x82);
       Write_Parameter(0x20);

       Write_Register(0xBB);    /*SET PRE-CHANGE VOLTAGE*/
       Write_Parameter(0x1F);

       Write_Register(0xB6);    /*SET SECOND PRE-CHARGE PERIOD*/
       Write_Parameter(0x08);


       Write_Register(0xBE);    /* SET VCOMH */
       Write_Parameter(0x07);

       Write_Register(0xA6);    /*normal display*/

       clear();

       Write_Register(0xAF);    /*display ON*/

}

void Write_Register(unsigned char Data)
{


  	RS=0;
  	nCSB=0;
    nWRB=0;
  	P1 = Data;
   	nWRB=1;
   	nCSB=1;
}

void Write_Parameter(unsigned char Data)
{

	  RS=1;
	  nCSB=0;
   	nWRB=0;
	  P1= Data;
  	nWRB=1;
   	nCSB=1;
   	RS=0;

}

void fill(unsigned char dat1,unsigned char dat2)
{
    unsigned char x,y;
    Write_Register(0x15);
    Write_Parameter(0x1c);
    Write_Parameter(0x5b);

    Write_Register(0x75);
    Write_Parameter(0x00);
    Write_Parameter(0x7f);

    Write_Register(0x5C);

    for(y=0;y<64;y++)
        {
           for(x=0;x<64;x++)
             {
              Write_Parameter(dat1);
              Write_Parameter(dat1);

             }
           for(x=0;x<64;x++)
             {
              Write_Parameter(dat2);
              Write_Parameter(dat2);

             }
       }
}

void Delay(unsigned int Data)
{
	unsigned int i,j;

	for(i=0;i<Data;i++)
	{
		for(j=0;j<100;j++)
		{}
	}
}

void ver()
 {
     unsigned char x,y;

    Write_Register(0x15);
    Write_Parameter(0x1c);
    Write_Parameter(0x5b);

    Write_Register(0x75);
    Write_Parameter(0x00);
    Write_Parameter(0x7F);
    Write_Register(0x5C);
       for(y=0;y<128;y++)
        {
          for(x=0;x<64;x++)
             {
              Write_Parameter(0xf0);
              Write_Parameter(0xf0);

             }
        }

  }

  void hor()
 {
     unsigned char x,y;

    Write_Register(0x15);
    Write_Parameter(0x1c);
    Write_Parameter(0x5b);

    Write_Register(0x75);
    Write_Parameter(0x00);
    Write_Parameter(0x7F);
    Write_Register(0x5C);
       for(y=0;y<64;y++)
        {
          for(x=0;x<64;x++)
             {
              Write_Parameter(0xff);
              Write_Parameter(0xff);

             }

          for(x=0;x<64;x++)
             {
              Write_Parameter(0x00);
              Write_Parameter(0x00);

             }
        }
   }

  void snow()
  {
     unsigned char x,y;

    Write_Register(0x15);
    Write_Parameter(0x1c);
    Write_Parameter(0x5b);

    Write_Register(0x75);
    Write_Parameter(0x00);
    Write_Parameter(0x7F);
    Write_Register(0x5C);
       for(y=0;y<64;y++)
        {
          for(x=0;x<64;x++)
             {
              Write_Parameter(0xf0);
              Write_Parameter(0xf0);
             }
          for(x=0;x<64;x++)
             {
              Write_Parameter(0x0f);
              Write_Parameter(0x0f);
             }
        }

  }

  void clear()
  {
     unsigned char x,y;
    Write_Register(0x15);
    Write_Parameter(0x00);
    Write_Parameter(0x77);

    Write_Register(0x75);
    Write_Parameter(0x00);
    Write_Parameter(0x7f);
    Write_Register(0x5C);
       for(y=0;y<128;y++)
        {
          for(x=0;x<120;x++)
             {
                Write_Parameter(0x00);
                Write_Parameter(0x00);
             }
        }

  }

void Set_Column_Address(unsigned char a, unsigned char b)
{
	Write_Register(0x15);
	Write_Parameter(a);				/* Default => 0x00*/
	Write_Parameter(b);				/* Default => 0x77*/
}

void Set_Row_Address(unsigned char a, unsigned char b)
{
	Write_Register(0x75);
	Write_Parameter(a);				/* Default => 0x00 */
	Write_Parameter(b);				/* Default => 0x7F */
}
void Fill_Block(unsigned char Data, unsigned char a, unsigned char b, unsigned char c, unsigned char d)
{
unsigned char i,j;

	Set_Column_Address(0x1C+a,0x1C+b);
	Set_Row_Address(c,d);
	Write_Register(0x5C);

	for(i=0;i<(d-c+1);i++)
	{
		for(j=0;j<(b-a+1);j++)
		{
			Write_Parameter(Data);
			Write_Parameter(Data);
		}
	}
}

void Grayscale()
{
	/* Level 16 => Column 1~16 */
		Fill_Block(0xFF,0x00,0x03,0x00,0x7f);

	/* Level 15 => Column 17~32*/
		Fill_Block(0xEE,0x04,0x07,0x00,0x7f);

	/* Level 14 => Column 33~48*/
		Fill_Block(0xDD,0x08,0x0B,0x00,0x7f);

	/* Level 13 => Column 49~64*/
		Fill_Block(0xCC,0x0C,0x0F,0x00,0x7f);

	/* Level 12 => Column 65~80*/
		Fill_Block(0xBB,0x10,0x13,0x00,0x7f);

	/* Level 11 => Column 81~96*/
		Fill_Block(0xAA,0x14,0x17,0x00,0x7f);

	/* Level 10 => Column 97~112*/
		Fill_Block(0x99,0x18,0x1B,0x00,0x7f);

	/* Level 9 => Column 113~128*/
		Fill_Block(0x88,0x1C,0x1F,0x00,0x7f);

	/* Level 8 => Column 129~144*/
		Fill_Block(0x77,0x20,0x23,0x00,0x7f);

	/* Level 7 => Column 145~160*/
		Fill_Block(0x66,0x24,0x27,0x00,0x7f);

	/* Level 6 => Column 161~176*/
		Fill_Block(0x55,0x28,0x2B,0x00,0x7f);

	/* Level 5 => Column 177~192*/
		Fill_Block(0x44,0x2C,0x2F,0x00,0x7f);

	/* Level 4 => Column 193~208*/
		Fill_Block(0x33,0x30,0x33,0x00,0x7f);

	/* Level 3 => Column 209~224*/
		Fill_Block(0x22,0x34,0x37,0x00,0x7f);

	/* Level 2 => Column 225~240*/
		Fill_Block(0x11,0x38,0x3B,0x00,0x7f);

	/* Level 1 => Column 241~256*/
		Fill_Block(0x00,0x3C,0x3f,0x00,0x7f);
}
