
/********************ݳ**************************
*****************2.80  7PIN SPI OLED FOR STM8S*************
*****STM8S003F3**************************
***** PC3----3  SCK   ,  PC4----4  SDA   ,    PC5---5  RST   ,
      PC6    ---6   DC   ,    PC7 ----7   CS
***** BY:GU 
********************************************************/

/**************stm8s003洢ƣ޷ʹ256*64ͼƬʾ***************/
#include "IOSTM8S003F3.h"

#define set_0   0x01
#define set_1   0x02
#define set_2   0x04
#define set_3   0x08    
#define set_4   0x10
#define set_5   0x20
#define set_6   0x40
#define set_7   0x80

#define clr_0   0xFE
#define clr_1   0xFD
#define clr_2   0xFB
#define clr_3   0xF7    
#define clr_4   0xEF
#define clr_5   0xDF
#define clr_6   0xBF
#define clr_7   0x7F
/**********SPIŷ䣬oledʵ޸*********/

#define SPI_SCK_0  PC_ODR&=clr_3        //PC3       
#define SPI_SCK_1  PC_ODR|=set_3       
#define SPI_SDA_0  PC_ODR&=clr_4        //PC4        
#define SPI_SDA_1  PC_ODR|=set_4
#define SPI_RST_0  PC_ODR&=clr_5        //PC5        
#define SPI_RST_1  PC_ODR|=set_5
#define SPI_DC_0  PC_ODR&=clr_6           //PC6
#define SPI_DC_1  PC_ODR|=set_6
#define SPI_CS_0  PC_ODR&=clr_7          //PC7
#define SPI_CS_1  PC_ODR|=set_7

const unsigned char  *point;
#define OLED_COLUMN_NUMBER 256
#define OLED_LINE_NUMBER 64
#define OLED_COLUMN_OFFSET 0


/**************stm8s003洢ƣ޷ʹ256*64ͼƬʾ***************/
const unsigned char  picture_tab[]={
  
//ˮƽɨ16׻Ҷ64*64
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF1,
0X5F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X93,
0X78,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X35,
0X85,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF8,0X26,
0X86,0X8F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF5,0X37,
0X86,0X6F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XB4,0X37,
0X87,0X6B,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X6F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X94,0X47,
0X87,0X69,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XAF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X57,0X56,0XAF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X74,0X57,
0X87,0X68,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X93,0X17,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X17,0X86,0X57,0X9F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0X74,0X57,
0X87,0X78,0XCF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X74,0X24,0X85,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X62,0X78,0X76,0X68,0XBF,0XFF,0XFF,0XFF,0XFF,0XFC,0X65,0X67,
0X88,0X78,0XBF,0XFF,0XFF,0XFF,0XFF,0XFE,0X85,0X33,0X68,0X77,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XC2,0X47,0X87,0X66,0X7A,0XEF,0XFF,0XFF,0XFF,0XFB,0X65,0X68,
0X88,0X78,0XAF,0XFF,0XFF,0XFF,0XFF,0XB7,0X43,0X46,0X87,0X5C,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XF5,0X25,0X88,0X87,0X77,0X9C,0XFF,0XFF,0XFF,0XFA,0X75,0X68,
0X88,0X78,0XAF,0XFF,0XFF,0XFF,0XD9,0X65,0X45,0X78,0X86,0X6F,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFA,0X43,0X68,0X88,0X77,0X79,0XBF,0XFF,0XFF,0XFA,0X76,0X78,
0X88,0X88,0XAF,0XFF,0XFF,0XFC,0X96,0X54,0X67,0X88,0X76,0X9F,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X64,0X46,0X88,0X88,0X78,0X9B,0XFF,0XFF,0XFA,0X76,0X78,
0X88,0X88,0XAF,0XFF,0XFF,0XC9,0X65,0X56,0X78,0X87,0X67,0XEF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XB5,0X45,0X78,0X88,0X87,0X89,0XBF,0XFF,0XFA,0X76,0X78,
0X88,0X88,0XAF,0XFF,0XFC,0X97,0X65,0X67,0X88,0X76,0X7A,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0X54,0X57,0X88,0X88,0X88,0X9B,0XFF,0XFB,0X87,0X78,
0X88,0X89,0XBF,0XFF,0XC9,0X76,0X67,0X78,0X88,0X77,0X8F,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0X85,0X56,0X78,0X88,0X88,0X9A,0XCF,0XFB,0X87,0X88,
0X89,0X89,0XBF,0XFD,0X98,0X77,0X78,0X88,0X87,0X78,0XCF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XB7,0X65,0X67,0X88,0X88,0X89,0XAD,0XFC,0X98,0X88,
0X89,0X99,0XCF,0XEA,0X87,0X77,0X88,0X88,0X77,0X8A,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFA,0X76,0X67,0X88,0X88,0X99,0X9B,0XFD,0X98,0X89,
0X99,0X9A,0XCF,0XB9,0X87,0X88,0X88,0X88,0X78,0XAF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XA8,0X76,0X78,0X88,0X99,0X9A,0XCE,0XA9,0X89,
0X99,0X9A,0XDC,0XA8,0X88,0X88,0X88,0X88,0X8A,0XEF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XEA,0X87,0X77,0X88,0X99,0X99,0XBD,0XB9,0X99,
0X99,0XAB,0XDB,0X98,0X88,0X88,0X88,0X88,0XAD,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0XA8,0X77,0X88,0X89,0X99,0XAC,0XCA,0X99,
0X99,0XAC,0XCA,0X98,0X99,0X99,0X88,0X9A,0XDF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XEB,0X98,0X88,0X99,0X99,0XAB,0XCA,0X99,
0XAA,0XBC,0XB9,0X99,0X99,0X99,0X99,0XAD,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XCA,0X98,0X89,0X99,0XAA,0XCB,0XAA,
0XAA,0XBC,0XA9,0X99,0X99,0X99,0XAB,0XEF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XBA,0X99,0X99,0XAA,0XBC,0XAA,
0XAB,0XCB,0XA9,0X99,0X99,0XAB,0XCF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0XDD,0XCC,0XDD,0XFF,0XFC,0XBA,0X9A,0XAA,0XBC,0XCD,
0XDB,0XCA,0XAA,0XAA,0XAA,0XBD,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFD,0XB9,0X99,0X99,0X99,0X9A,0XAB,0XBD,0XDC,0XBA,0XAA,0XDC,0XA9,
0X9B,0XDA,0XAA,0XAA,0XBC,0XED,0XCB,0XBA,0XAA,0XAA,0XBC,0XDF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFA,0X87,0X77,0X77,0X78,0X88,0X89,0X99,0XAA,0XBB,0XCC,0XBC,0XB8,0X66,
0X67,0X9D,0XBB,0XBC,0XCB,0XAA,0X99,0X88,0X77,0X76,0X66,0X78,0X9C,0XFF,0XFF,0XFF,
0XFF,0XF8,0X66,0X66,0X77,0X78,0X88,0X88,0X88,0X99,0X99,0XAA,0XBB,0XCC,0X86,0X54,
0X45,0X79,0XDC,0XCB,0XA9,0X98,0X87,0X77,0X66,0X65,0X54,0X44,0X44,0X6B,0XFF,0XFF,
0XFE,0X56,0X77,0X78,0X88,0X88,0X88,0X88,0X88,0X99,0X99,0X9A,0XAA,0XBA,0X64,0X33,
0X34,0X58,0XCB,0XAA,0X99,0X88,0X88,0X87,0X77,0X66,0X65,0X54,0X43,0X22,0X4F,0XFF,
0X47,0X88,0X88,0X88,0X88,0X88,0X88,0X88,0X88,0X89,0X99,0X99,0XAA,0XD9,0X64,0X33,
0X33,0X57,0XBA,0XAA,0X99,0X99,0X88,0X88,0X88,0X88,0X77,0X77,0X77,0X66,0X52,0X5F,
0XFE,0X12,0X34,0X56,0X66,0X77,0X77,0X78,0X88,0X88,0X99,0X99,0XAA,0XC9,0X64,0X33,
0X34,0X57,0XCA,0XAA,0X99,0X99,0X98,0X88,0X88,0X88,0X88,0X88,0X88,0X88,0X76,0X6F,
0XFF,0XF7,0X43,0X33,0X44,0X55,0X66,0X67,0X77,0X88,0X89,0X9A,0XAB,0XCA,0X75,0X44,
0X44,0X69,0XDB,0XAA,0XA9,0X99,0X99,0X88,0X88,0X88,0X88,0X77,0X76,0X65,0X5F,0XFF,
0XFF,0XFF,0XF9,0X76,0X55,0X56,0X66,0X77,0X78,0X89,0X9A,0XAB,0XCC,0XBD,0X97,0X55,
0X56,0X8B,0XCC,0XCB,0XAA,0X99,0X99,0X88,0X88,0X77,0X77,0X76,0X66,0X7B,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFD,0XA9,0X88,0X88,0X88,0X99,0XAB,0XBD,0XDC,0XBA,0XAA,0XDA,0X87,
0X79,0XBD,0XAA,0XBC,0XCC,0XBA,0XA9,0X99,0X88,0X88,0X88,0X88,0X9D,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0XDD,0XCC,0XDD,0XEF,0XEC,0XBA,0XAA,0XAA,0XBD,0XDC,
0XCD,0XBA,0XAA,0XAA,0XBD,0XED,0XCB,0XBB,0XAA,0XAA,0XBC,0XEF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XBA,0XAA,0X99,0XAA,0XBC,0XBA,
0XAB,0XCA,0XA9,0X99,0X9A,0XBD,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XBA,0X99,0X99,0X99,0X9A,0XCB,0XAA,
0XAB,0XCB,0XA9,0X99,0X99,0X9A,0XCF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XDB,0XA9,0X99,0X99,0X99,0X9B,0XCA,0XA9,
0X9A,0XCB,0XA9,0X99,0X98,0X88,0X9B,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XA9,0X89,0X99,0X99,0X99,0XAC,0XBA,0X99,
0X99,0XBC,0XAA,0X99,0X98,0X88,0X88,0XAD,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XDA,0X98,0X89,0X88,0X88,0X89,0XBD,0XA9,0X99,
0X99,0XAD,0XBA,0X99,0X98,0X88,0X77,0X8A,0XEF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0XA8,0X88,0X88,0X88,0X88,0X8A,0XDC,0XA9,0X99,
0X98,0X9C,0XDA,0X99,0X98,0X88,0X77,0X77,0XAE,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFA,0X88,0X88,0X88,0X88,0X78,0X9B,0XFB,0X99,0X99,
0X88,0X9B,0XFC,0XA9,0X99,0X88,0X87,0X66,0X7A,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XA8,0X78,0X88,0X88,0X77,0X78,0XAE,0XFB,0X99,0X98,
0X88,0X8A,0XFE,0XB9,0X88,0X88,0X88,0X76,0X67,0XAF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,0X87,0X78,0X88,0X87,0X77,0X89,0XDF,0XEA,0X99,0X98,
0X87,0X89,0XEF,0XDA,0X98,0X88,0X88,0X76,0X56,0X7C,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XE8,0X77,0X88,0X88,0X76,0X67,0X9C,0XFF,0XDA,0X88,0X88,
0X87,0X79,0XDF,0XFC,0X98,0X88,0X88,0X87,0X65,0X58,0XEF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0X97,0X77,0X88,0X87,0X66,0X79,0XBF,0XFF,0XD9,0X88,0X88,
0X87,0X79,0XCF,0XFF,0XB9,0X88,0X88,0X88,0X75,0X45,0X9F,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFC,0X76,0X78,0X87,0X65,0X57,0X8B,0XFF,0XFF,0XD9,0X88,0X88,
0X87,0X78,0XCF,0XFF,0XFB,0X98,0X78,0X88,0X87,0X54,0X5C,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XF8,0X67,0X88,0X76,0X55,0X68,0XCF,0XFF,0XFF,0XD9,0X88,0X88,
0X76,0X68,0XCF,0XFF,0XFF,0XB9,0X77,0X78,0X88,0X64,0X37,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XD6,0X68,0X87,0X54,0X56,0X9D,0XFF,0XFF,0XFF,0XD9,0X78,0X88,
0X76,0X68,0XCF,0XFF,0XFF,0XFC,0X97,0X77,0X88,0X86,0X34,0XCF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X86,0X88,0X74,0X44,0X7A,0XEF,0XFF,0XFF,0XFF,0XE9,0X78,0X88,
0X75,0X68,0XDF,0XFF,0XFF,0XFF,0XD9,0X77,0X77,0X88,0X52,0X7F,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X57,0X86,0X43,0X47,0XCF,0XFF,0XFF,0XFF,0XFF,0XF9,0X77,0X88,
0X75,0X58,0XEF,0XFF,0XFF,0XFF,0XFF,0XA8,0X66,0X78,0X84,0X3F,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0X68,0X52,0X36,0XAF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF9,0X77,0X88,
0X75,0X59,0XFF,0XFF,0XFF,0XFF,0XFF,0XFD,0X96,0X67,0X88,0X2C,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFD,0X83,0X15,0XAF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFA,0X77,0X88,
0X64,0X59,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X86,0X68,0X74,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XF4,0X1A,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFC,0X77,0X88,
0X64,0X5B,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XA6,0X64,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X76,0X88,
0X63,0X6E,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X86,0X78,
0X53,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XC6,0X78,
0X43,0XBF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X68,
0X25,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFE,0X58,
0X1C,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X68,
0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF6,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFB,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
};
/************************************ͼƬ******************
const unsigned char  picture_tab[]={
//ˮƽɨ16׻Ҷ256*64
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,
0X30,0X00,0X03,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X73,0X00,0X37,0X30,0X00,
0X00,0X77,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XF7,0X00,0X3F,0X77,0X77,0X77,0X77,0X70,0X00,0X00,0X00,0XF7,0X00,0X3F,0X70,0X33,
0X00,0X7F,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X3F,0X70,0X7F,0X77,0X77,0X77,0X7F,0XF3,0X00,0X00,0X00,0XF7,0X00,0X3F,0X70,0X3F,
0X70,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0X77,
0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X33,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0X37,0XF7,0X37,0X00,0X73,0X37,0X00,0X00,0X00,0X00,0XF7,0X00,0X3F,0X70,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0X37,0X77,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X73,0X30,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X37,0X30,0XFF,0X70,0X3F,0XF3,0X00,0X00,0X00,0X00,0XF7,0X03,0X3F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,0X77,0XFF,0XFF,0XFF,0XFF,
0XFF,0X77,0X77,0X77,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X33,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0XF7,
0X00,0X73,0X07,0XF3,0X33,0X00,0XFF,0X00,0X00,0X07,0X77,0XF7,0X7F,0X3F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0X7F,0XFF,0XFF,0XFF,0X77,0X77,
0X33,0X33,0X33,0X33,0X33,0X33,0X77,0X77,0XFF,0XFF,0XFF,0XF7,0X73,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,
0X70,0XF0,0X3F,0X30,0X3F,0X70,0X3F,0X30,0X00,0X03,0X73,0XF7,0X33,0X7F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XFF,0X77,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X77,0XFF,0XFF,0XFF,0X73,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,
0XF7,0X70,0X70,0X00,0X3F,0X30,0X00,0X30,0X00,0X00,0X00,0XF7,0X00,0X0F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XF7,0X73,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X7F,0XFF,0XFF,0X73,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X37,0X70,0X33,0X33,0X7F,0X73,0X37,0XF3,0X00,0X00,0X00,0XF7,0X00,0X3F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XF7,0X73,0X00,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X03,0X37,0X77,0XFF,0XF7,0X73,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X3F,0X30,0X77,0X77,0XFF,0XF7,0X77,0X77,0X00,0X00,0X00,0XF7,0X00,0X3F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X03,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,
0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X7F,0X00,0X00,0X0F,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0XF7,0X00,0X3F,0X30,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,
0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,
0XF7,0X00,0X00,0X7F,0X3F,0X3F,0X30,0X00,0X00,0X00,0X00,0XF7,0X37,0XFF,0X00,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X37,0XFF,0XF7,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X33,0X33,0X7F,
0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,
0XF7,0X00,0X03,0XF3,0X3F,0X37,0XF0,0X00,0X00,0X00,0X03,0XFF,0XF7,0XFF,0X00,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X03,0X7F,0XFF,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X73,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X73,0X37,
0X77,0X77,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,
0XF3,0X00,0X3F,0X30,0X3F,0X30,0XFF,0X30,0X00,0X07,0XFF,0X73,0X00,0XF7,0X00,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X37,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0X77,0X73,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,
0XF3,0X03,0XF3,0X00,0X3F,0X30,0X3F,0XF7,0X00,0X07,0XF3,0X00,0X07,0XF0,0X00,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X03,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X73,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0X7F,0XF7,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X03,0X33,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,
0XF3,0X77,0X30,0X00,0X3F,0X30,0X03,0X77,0X30,0X00,0X00,0X00,0X7F,0X30,0X00,0X3F,
0X30,0X7F,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X07,0XFF,0XF7,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X73,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0X77,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X7F,0XFF,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,
0XF3,0X00,0X00,0X00,0X3F,0X37,0XFF,0XFF,0XFF,0X70,0X00,0X07,0X70,0X00,0X00,0X00,
0X00,0X7F,0X33,0X77,0X77,0X30,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0X73,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X7F,0XFF,0X73,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0X77,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X33,0X77,0X77,0X30,0X37,0XFF,0XFF,0XFF,0XFF,0XFF,0X70,0X33,0X00,0X00,0X00,0X00,
0X00,0X37,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X77,0X77,0XFF,0XFF,0XFF,0XFF,0XFF,0X70,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X03,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0X77,0X73,0X33,0X33,0X33,0X77,0X77,
0X77,0X77,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X07,
0XFF,0XFF,0XFF,0XFF,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X70,0X00,0X00,0X00,
0X00,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X07,0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X7F,0X77,0X77,0X77,
0X7F,0X73,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X77,0X33,0X33,0X33,0X33,0X37,0X77,
0X77,0X77,0X37,0XFF,0X73,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X0F,0XFF,0XFF,0XF7,0X7F,0XFF,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0XFF,0XFF,0XFF,0XFF,0XFF,0X70,0X00,0X00,
0X03,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X3F,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0XFF,0XFF,0XFF,0XFF,
0XFF,0XF7,0X33,0X33,0X7F,0XFF,0X77,0X77,0X77,0XFF,0X73,0X33,0X33,0X33,0X33,0X77,
0X77,0X77,0X33,0X7F,0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X3F,0XFF,0XF7,0X77,0X77,0X7F,0XFF,0XFF,0XF3,0X00,0X00,0X00,0X0F,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X77,0X77,0X7F,0XFF,0XFF,0XFF,0XFF,0X00,0X00,
0X0F,0XFF,0XFF,0X77,0X77,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X77,0X7F,0XFF,
0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X03,0X7F,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0XFF,0XFF,0XFF,0XFF,
0XFF,0XF7,0X33,0X33,0XFF,0XFF,0X77,0X77,0X7F,0XFF,0X73,0X33,0X33,0X33,0X33,0X77,
0X77,0X77,0X30,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0XFF,0XFF,0X77,0X33,0X33,0X77,0X7F,0XFF,0XFF,0X00,0X00,0X00,0X7F,0XFF,
0XFF,0X77,0X77,0XFF,0XFF,0XF7,0X73,0X33,0X37,0X77,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,
0X7F,0XFF,0XF7,0X73,0X37,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X33,0X33,0X77,0XFF,
0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0XFF,0XFF,0XFF,0XFF,
0XFF,0XF7,0X33,0X33,0X7F,0XFF,0X77,0X77,0X7F,0XFF,0X73,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X33,0X37,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X03,0XFF,0XFF,0X73,0X30,0X00,0X37,0X77,0XFF,0XFF,0X70,0X00,0X03,0XFF,0XFF,
0X77,0X73,0X77,0X77,0XFF,0XF7,0X33,0X00,0X03,0X37,0X77,0X77,0X7F,0XFF,0XF7,0X00,
0XFF,0XFF,0X77,0X33,0X03,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X30,0X00,0X37,0X7F,
0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0XFF,0XFF,0XFF,0XFF,
0XFF,0XF3,0X33,0X33,0X7F,0XF7,0X77,0X77,0XFF,0XFF,0X33,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X33,0X37,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X0F,0XFF,0XF7,0X73,0X00,0X00,0X03,0X37,0X7F,0XFF,0XF0,0X00,0X07,0XFF,0XF7,
0X73,0X30,0X33,0X77,0X7F,0X77,0X30,0X00,0X00,0X33,0X33,0X37,0X77,0XFF,0XFF,0X70,
0XFF,0XFF,0X73,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,0X77,
0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X7F,0XFF,0XFF,
0XF3,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X33,0X33,0XFF,0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X7F,0XFF,0XF7,0X30,0X07,0XF3,0X00,0X03,0X7F,0XFF,0XF0,0X00,0X0F,0XFF,0XF7,
0X33,0X00,0X00,0X33,0X77,0X73,0X30,0X3F,0X30,0X03,0X00,0X03,0X37,0X7F,0XFF,0XF3,
0XFF,0XFF,0X73,0X00,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XF0,0X00,0X37,
0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X3F,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X37,0XFF,0XFF,
0XF7,0X33,0X33,0X33,0X33,0X77,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X33,0X33,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X03,0XFF,0XFF,0X77,0X30,0X0F,0XFF,0XF0,0X03,0X77,0XFF,0XFF,0X00,0X0F,0XFF,0XF7,
0X30,0X07,0X00,0X03,0X37,0X73,0X00,0XFF,0XFF,0X00,0X00,0X00,0X37,0X77,0XFF,0XFF,
0XFF,0XFF,0X73,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X37,
0X7F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X7F,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0XFF,0XFF,
0XFF,0X33,0X33,0X33,0X33,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X33,0X33,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X0F,0XFF,0XFF,0X73,0X00,0X7F,0XFF,0X70,0X03,0X77,0XFF,0XFF,0XF3,0X0F,0XFF,0XF7,
0X30,0X0F,0XF7,0X00,0X03,0X33,0X00,0XFF,0XF0,0X00,0X0F,0X30,0X03,0X77,0XFF,0XFF,
0XFF,0XFF,0X73,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X37,
0X7F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0XF3,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X7F,0XFF,
0XFF,0X73,0X33,0X33,0X37,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X77,0X77,0X33,0X33,0X3F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X7F,0XFF,0XF7,0X73,0X00,0XFF,0XFF,0XF0,0X03,0X37,0X7F,0XFF,0XFF,0XFF,0XFF,0XF7,
0X33,0X00,0XFF,0XF0,0X03,0X30,0X0F,0XFF,0XFF,0XFF,0XFF,0XF3,0X00,0X37,0X7F,0XFF,
0XFF,0XFF,0X73,0X00,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XF0,0X00,0X37,
0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X3F,0XFF,
0XFF,0XF3,0X33,0X33,0X3F,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X3F,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,
0XFF,0XFF,0X77,0X30,0X07,0XFF,0X70,0XFF,0X00,0X33,0X77,0XFF,0XFF,0XFF,0XFF,0XF7,
0X73,0X00,0XFF,0XFF,0X00,0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X33,0X77,0XFF,
0XFF,0XFF,0X73,0X00,0XFF,0XF7,0X77,0X77,0X77,0X77,0X77,0X77,0XFF,0XF3,0X03,0X77,
0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X37,0XFF,
0XFF,0XF7,0X33,0X33,0X7F,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X37,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,
0XFF,0XF7,0X73,0X00,0X3F,0XFF,0X00,0X7F,0X70,0X03,0X37,0X7F,0XFF,0XFF,0XFF,0XFF,
0X77,0X30,0X3F,0XFF,0X00,0X00,0XFF,0XF0,0X00,0X00,0XFF,0X70,0X00,0X00,0X37,0X7F,
0XFF,0XFF,0X73,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0X03,0X77,
0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0XFF,
0XFF,0XFF,0X33,0X33,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X37,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,
0XFF,0X77,0X33,0X00,0XFF,0XF0,0X00,0X0F,0XF7,0X00,0X03,0X77,0X7F,0XFF,0XFF,0XFF,
0X77,0X30,0X0F,0XFF,0X00,0X07,0XFF,0X00,0X00,0X0F,0XF3,0X00,0X03,0X00,0X03,0X77,
0XFF,0XF7,0X73,0X00,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XF3,0X03,0X77,
0XFF,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X3F,
0XFF,0XFF,0X73,0X37,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X37,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0XFF,
0XF7,0X73,0X30,0X0F,0XFF,0X70,0X00,0X00,0XFF,0XF0,0X00,0X33,0X77,0X77,0X7F,0XF7,
0X77,0X33,0X03,0XF0,0X00,0X0F,0XF3,0X00,0X00,0X3F,0X70,0X00,0X3F,0XF0,0X00,0X37,
0XFF,0X77,0X33,0X00,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XF3,0X03,0X37,
0XFF,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X3F,
0XFF,0XFF,0XF3,0X3F,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X3F,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XFF,0XFF,
0X77,0X33,0X00,0X7F,0XFF,0X00,0X33,0X00,0X3F,0XFF,0X00,0X00,0X33,0X37,0X77,0X77,
0X77,0X73,0X00,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X37,
0XFF,0X73,0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,0X00,0X37,
0X7F,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0XFF,0XF3,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0XFF,0XFF,0XF7,0X7F,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X3F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XFF,0XF7,
0X73,0X30,0X07,0XFF,0XF0,0X03,0X37,0X30,0X03,0XFF,0XFF,0X00,0X00,0X03,0X33,0X33,
0X33,0X33,0X00,0X00,0X0F,0XFF,0XFF,0X33,0X3F,0XFF,0X33,0X33,0XFF,0XF0,0X00,0X37,
0XF7,0X73,0X00,0X00,0XFF,0XF3,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XF7,0X00,0X03,
0X77,0XFF,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X7F,0XF7,0X33,0X7F,0X73,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X7F,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0XFF,0XF7,0X77,
0X33,0X00,0X7F,0XFF,0X00,0X03,0X33,0X33,0X00,0X3F,0XFF,0XFF,0X00,0X00,0X00,0X30,
0X00,0X00,0X00,0XF0,0X7F,0X3F,0XFF,0X00,0X0F,0XFF,0X00,0X00,0X7F,0XF0,0X03,0X77,
0XF7,0X73,0X00,0XF7,0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0X0F,0XF0,0X00,
0X37,0X7F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X3F,0XF7,0X3F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X3F,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XF7,0X77,0X33,
0X00,0X0F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XFF,0XFF,0XF7,0X00,0X00,
0X03,0X33,0X3F,0XFF,0X70,0X0F,0XFF,0X00,0X0F,0XFF,0X00,0X00,0X7F,0XF0,0X03,0X77,
0XF7,0X73,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,
0X37,0X7F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X37,0XFF,0XFF,0XFF,0XFF,0X77,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X33,0X33,0X33,0XFF,0XF3,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0XF7,0X73,0X30,
0X00,0XFF,0XF3,0X33,0X33,0X33,0X33,0X33,0X37,0XFF,0X77,0XFF,0XFF,0XFF,0XF0,0X00,
0X0F,0XFF,0XFF,0XFF,0XF0,0X0F,0XFF,0X00,0X0F,0XFF,0X00,0X00,0X7F,0XF0,0X03,0X77,
0XF7,0X73,0X00,0XFF,0XF7,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X30,
0X03,0X7F,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X33,0XFF,0XFF,0XFF,0XFF,0X37,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X37,0X73,0X33,0X37,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0X77,0X30,0X00,
0X7F,0XF7,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X07,0XFF,0XF7,0X00,0X00,
0X03,0X73,0X0F,0XFF,0X00,0X0F,0XFF,0X77,0X7F,0XFF,0X77,0X77,0XFF,0XF0,0X03,0X7F,
0XF7,0X73,0X00,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0X00,0X00,0X00,
0X37,0X7F,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X07,0XFF,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,
0X33,0X7F,0XFF,0XFF,0XF7,0X37,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X77,0X77,0X73,0X37,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0X77,0X30,0X0F,
0XF7,0X00,0X00,0X07,0X30,0X03,0XFF,0X70,0X00,0X00,0X00,0X00,0X07,0X30,0X00,0X33,
0X00,0X00,0X0F,0XFF,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X03,0X77,
0XF7,0X73,0X00,0XFF,0X73,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0XFF,0X70,0X00,0X03,
0X37,0X7F,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X03,0X7F,0XFF,0XFF,0XF7,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF3,0X33,0X33,0X33,0X33,
0X33,0X3F,0XFF,0XFF,0XF3,0X33,0X77,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X77,0X77,0X70,0X7F,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0X77,0X30,0X37,
0X00,0X00,0X30,0X00,0X00,0X03,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X33,0X77,
0X33,0X30,0X0F,0XFF,0X00,0X0F,0XFF,0X00,0X0F,0XFF,0XFF,0X00,0X7F,0XF0,0X03,0X77,
0XF7,0X73,0X00,0XFF,0X73,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X00,0X03,
0X37,0X7F,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X3F,0XFF,0XFF,0XF7,0X33,0X33,0X33,0X33,0XFF,0XFF,0XF3,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X77,0X77,0X77,0X33,0X33,0X33,0X33,0X33,0X33,0X37,
0X77,0X77,0X73,0X7F,0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0X77,0X30,0X00,
0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X03,0X77,0X77,
0X77,0X33,0X0F,0XFF,0X00,0X07,0X30,0X00,0X7F,0XFF,0XFF,0X73,0X00,0X00,0X03,0X37,
0X77,0X73,0X00,0XFF,0X70,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0X00,
0X37,0X7F,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X07,0XFF,0XFF,0XF3,0X33,0X33,0X33,0X33,0XFF,0XFF,0XF3,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X77,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X77,
0X77,0X77,0X77,0XFF,0X73,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XF7,0X33,0X00,
0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0X30,0X00,0X00,0X03,0XFF,0X00,0X33,0X77,0XFF,
0X77,0X73,0X0F,0XFF,0X00,0X00,0X00,0X00,0XFF,0XF7,0XFF,0XFF,0XF0,0X00,0X00,0X37,
0X77,0X73,0X00,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0XFF,0X70,
0X03,0X77,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X03,0XFF,0XFF,0XF3,0X33,0X33,0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X37,0X77,0X77,0X77,0X33,0X33,0X33,0X33,0X37,0X77,
0X77,0X77,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XF7,0X77,0X33,
0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X03,0X77,0XFF,
0XF7,0X73,0X0F,0XFF,0X00,0X30,0X30,0X07,0XFF,0X37,0XFF,0X0F,0XFF,0X37,0XF0,0X03,
0X77,0X73,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF3,
0X00,0X37,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X7F,0XFF,0XF7,0X33,0X33,0X37,0X7F,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X77,0X77,0X77,0X77,0X33,0X33,0X37,0X77,0X77,
0X77,0X77,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0XFF,0X77,0X73,
0X00,0X3F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X03,0X77,0XFF,
0XF7,0X73,0X0F,0XFF,0X00,0X33,0X00,0X0F,0XFF,0X07,0XFF,0X00,0XFF,0XFF,0XF0,0X03,
0X77,0X73,0X00,0XFF,0XF7,0X7F,0XFF,0X77,0XFF,0X77,0X77,0X7F,0XFF,0X77,0X77,0X77,
0X00,0X37,0X7F,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X33,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0X77,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XFF,0X77,
0X30,0X00,0X77,0X00,0X00,0X03,0XFF,0X30,0X00,0X0F,0X70,0X00,0X00,0X03,0X77,0XFF,
0X77,0X73,0X0F,0XFF,0X00,0X30,0X00,0XFF,0XF0,0X07,0XFF,0X00,0XFF,0X7F,0XF0,0X03,
0X77,0X73,0X03,0XFF,0X30,0X0F,0XFF,0X00,0X0F,0XF0,0X00,0X0F,0XFF,0XF0,0X00,0X00,
0X00,0X37,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X77,0XFF,0XF7,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XFF,0XF7,
0X73,0X00,0X7F,0XF0,0X00,0X03,0XFF,0X30,0X00,0X7F,0XFF,0X00,0X03,0X33,0X7F,0XF7,
0X77,0X30,0X0F,0XFF,0X00,0X00,0X0F,0XFF,0X00,0X07,0XFF,0X00,0X0F,0X0F,0XF0,0X03,
0XF7,0X73,0X03,0XFF,0X00,0X0F,0XFF,0X00,0X07,0XF7,0X00,0XFF,0XF3,0X00,0X03,0X33,
0X33,0X77,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X33,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0X7F,0XFF,0X73,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XFF,0XF7,
0X73,0X30,0X0F,0XFF,0X30,0X03,0XFF,0X30,0X00,0XFF,0XFF,0X00,0X33,0X77,0X7F,0X77,
0X33,0X00,0X0F,0XFF,0X00,0X00,0XFF,0XF0,0X00,0X07,0XFF,0X70,0X00,0X0F,0XF7,0X00,
0X77,0X73,0X07,0XFF,0X00,0X0F,0XFF,0X00,0X00,0XFF,0XFF,0XF7,0X00,0X03,0X37,0X77,
0X77,0X7F,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X37,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,0X77,0X77,0X77,0X77,0X77,0X77,0X77,
0XFF,0XF7,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0XFF,0XF7,0X77,
0X77,0X33,0X00,0XFF,0XF0,0X03,0XFF,0X30,0X03,0XFF,0X70,0X00,0X33,0X33,0X77,0X73,
0X30,0X00,0XFF,0XFF,0X70,0X7F,0XF7,0X00,0X33,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,
0X37,0X30,0X0F,0XFF,0X00,0X0F,0XFF,0X00,0X00,0X0F,0XFF,0X30,0X00,0X03,0X33,0X33,
0X37,0X77,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X03,0X77,0XFF,0XFF,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X33,
0X33,0X37,0XFF,0XFF,0X73,0X33,0X33,0X33,0X33,0X33,0X37,0X77,0X77,0X77,0X77,0X7F,
0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XF7,0X77,0X33,
0X33,0X33,0X00,0XFF,0XFF,0X03,0XFF,0X30,0X0F,0XFF,0X00,0X33,0X00,0X00,0X37,0X30,
0X00,0X7F,0XFF,0X7F,0XFF,0XF7,0X00,0X00,0X00,0X00,0X3F,0XFF,0XFF,0XFF,0XF0,0X00,
0X33,0X30,0X0F,0XF7,0X00,0X0F,0XFF,0X00,0X00,0X0F,0XFF,0XFF,0X00,0X00,0X00,0X00,
0X03,0X77,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,
0XF7,0X7F,0XFF,0XFF,0XF7,0X7F,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,
0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0XF7,0X33,0X00,
0X00,0X00,0X00,0X0F,0XFF,0X03,0XFF,0X30,0X0F,0XF0,0X00,0X00,0X00,0X00,0X33,0X30,
0X0F,0XFF,0XF0,0X00,0XFF,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X30,
0X03,0X30,0X3F,0XF0,0X00,0X0F,0XFF,0X07,0XFF,0XFF,0X3F,0XFF,0XFF,0X73,0X00,0X00,
0X00,0X37,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X03,0X7F,0XFF,0XF7,0X33,0X33,0X33,0X33,0X33,0X33,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X33,0X33,0X33,0X33,0X33,0X33,0X7F,0XFF,0XF7,
0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0X77,0X30,0X00,
0X00,0X00,0X00,0X0F,0XF7,0X03,0XFF,0X30,0XFF,0X00,0X00,0X00,0X0F,0XF0,0X03,0X00,
0X7F,0XFF,0X00,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,
0X03,0X00,0XFF,0X70,0X00,0X0F,0XFF,0XFF,0XFF,0X30,0X00,0XFF,0XFF,0XFF,0XFF,0XFF,
0X00,0X37,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XF7,0X73,0X00,0X33,0X33,0X37,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X73,0X33,0X33,0X03,0X37,0X77,0XFF,0XF7,0X73,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0X77,0X30,0X0F,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X00,0X30,
0X03,0XF3,0X00,0X33,0X00,0X0F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,
0X00,0X03,0XFF,0X00,0X30,0X0F,0XFF,0XFF,0X30,0X00,0X00,0X00,0X7F,0XFF,0XFF,0XFF,
0X00,0X37,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XF7,0X73,0X33,0X33,0X33,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X33,0X33,0X33,0X37,0X7F,0XFF,0XFF,0X73,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X3F,0XFF,0X77,0X30,0X07,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X00,0X33,
0X00,0X00,0X03,0X73,0X30,0X00,0X03,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0X00,
0X30,0X0F,0XF0,0X03,0X30,0X07,0XFF,0X30,0X00,0X33,0X33,0X00,0X00,0X7F,0XFF,0X30,
0X00,0X37,0X7F,0XFF,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,0XFF,0XFF,0X77,0X33,0X33,0X7F,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X33,0X33,0X77,0XFF,0XFF,0XFF,0X73,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X0F,0XFF,0XF7,0X73,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,
0X30,0X00,0X37,0X77,0X73,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,
0X00,0X7F,0X00,0X03,0X73,0X00,0X70,0X00,0X33,0X37,0X77,0X33,0X00,0X00,0X00,0X00,
0X33,0X77,0XFF,0XFF,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0X7F,0XFF,0XFF,0XFF,0X77,0X77,
0X73,0X33,0X33,0X33,0X33,0X33,0X77,0X77,0XFF,0XFF,0XFF,0XF7,0X73,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XF7,0X73,0X30,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0X37,
0X73,0X33,0X77,0X77,0X77,0X73,0X33,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X77,
0X30,0X00,0X00,0X37,0X73,0X30,0X00,0X03,0X77,0X77,0X77,0X77,0X33,0X30,0X00,0X03,
0X77,0X7F,0XFF,0XF7,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X33,0X77,0XFF,0XFF,0XFF,0XFF,
0XFF,0X77,0X77,0X77,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X33,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0XFF,0XFF,0X77,0X33,
0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X33,0X37,0X77,
0X77,0X77,0X77,0XFF,0XF7,0X77,0X77,0X73,0X33,0X33,0X33,0X33,0X33,0X33,0X3F,0X77,
0X33,0X00,0X33,0X77,0X77,0X33,0X03,0X37,0X77,0XFF,0XFF,0XF7,0X77,0X73,0X33,0X7F,
0XFF,0XFF,0XFF,0XF0,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X03,0X37,0X77,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X73,0X30,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X7F,0XFF,0XF7,0X77,
0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X7F,
0XF7,0X77,0XFF,0XFF,0XFF,0XFF,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X77,0X7F,0XF7,
0X73,0X33,0X37,0X7F,0XF7,0X77,0X37,0X77,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X7F,0XFF,
0XFF,0XFF,0XFF,0X70,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0X77,
0X77,0XFF,0XFF,0XFF,0XFF,0XFF,0X77,0X33,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XFF,0XF7,
0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X77,0X77,0X77,0XFF,0XFF,
0X77,0X77,0X77,0XFF,0XFF,0X77,0X77,0X7F,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XF3,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0X77,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X7F,0XFF,0XFF,0XFF,0XF3,0X37,
0X73,0X37,0X30,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X07,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XF7,0X30,0X07,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0X30,0X00,0X7F,0XFF,0XFF,0XF0,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X37,0XFF,
0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF7,0X73,
0X03,0X33,0X00,0X00,0X00,0X00,0X37,0X77,0XFF,0XFF,0XFF,0XFF,0XFF,0XFF,0XF0,0XFF,
0XFF,0XFF,0XFF,0XFF,0X7F,0XFF,0XFF,0XFF,0X70,0X00,0X00,0X00,0X03,0X7F,0X70,0X00,
0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,0X00,
};
**********************************************************************/

/*******ʱӳʼ******************/
void CLK_init(void)
{
  
  CLK_CKDIVR|= 0x00;       /*ʱΪڲ16Mʱ*/ 
}
void delay_us(unsigned int _us_time)
{       
  unsigned char x=0;
  for(;_us_time>0;_us_time--)
  {
    x++;
  }
}
void delay_ms(unsigned int _ms_time)
  {
    unsigned int i,j;
    for(i=0;i<_ms_time;i++)
    {
    for(j=0;j<900;j++)
      {;}
    }
  }
/*************SPIú*******************
SCLʱ͵ƽһز
ģSPI
******************************************/

/**************************SPIģ鷢ͺ************************************************

 *************************************************************************/
void SPI_SendByte(unsigned char byte)
{
  
  unsigned char counter;
   
  for(counter=0;counter<8;counter++)
  { 
    SPI_SCK_0;
    if((byte&0x80)==0)
    {
      SPI_SDA_0;
    }
    else SPI_SDA_1;
    byte=byte<<1;
    SPI_SCK_1;	     
  } 
}

void OLED_send_cmd(unsigned char o_command)
  {
    SPI_DC_0;
    SPI_CS_0;
    SPI_SendByte(o_command);
    SPI_CS_1;
    //SPI_DC_1;
  }
void OLED_send_data(unsigned char o_data)
  { 
    SPI_DC_1;
    SPI_CS_0;
    SPI_SendByte(o_data);
    SPI_CS_1;
   }
void OLED_clear(void)
  {
    unsigned int ROW,column;
	OLED_send_cmd(0x15);
	  OLED_send_data(0x1c);
	  OLED_send_data(0x5b);
	  
	  OLED_send_cmd(0x75);
	  OLED_send_data(0x00);
	  OLED_send_data(0x7f);
	  OLED_send_cmd(0x5C);
    for(ROW=0;ROW<OLED_COLUMN_NUMBER;ROW++)             //ROW loop
      { 
	  
          for(column=0;column<OLED_COLUMN_NUMBER;column++)	//column loop
            {
              OLED_send_data(0x00);
            }
      }
  }
void OLED_full(void)
  {
    unsigned int ROW,column;
	  OLED_send_cmd(0x15);
	  OLED_send_data(0x1c);
	  OLED_send_data(0x5b);
	  
	  OLED_send_cmd(0x75);
	  OLED_send_data(0x00);
	  OLED_send_data(0x7f);
	  OLED_send_cmd(0x5C);
    for(ROW=0;ROW<OLED_LINE_NUMBER;ROW++)             //ROW loop
      { 
	  
	for(column=0;column<OLED_COLUMN_NUMBER ;column++)	//column loop
          {
            OLED_send_data(0xff);
          }
      }
  }
void OLED_init(void)				////SSD1322
  {
    OLED_send_cmd(0XFD); //SET COMMAND LOCK
	OLED_send_data(0x12);//UNLOCK
	
    OLED_send_cmd(0xAE);//رʾ
	
	OLED_send_cmd(0XB3);//DISPLAY DIVIDE CLOCKRADIO/OSCILLATAR FREQUANCY
	OLED_send_data(0X91);
	
	OLED_send_cmd(0XCA);	//multiplex ratio
	OLED_send_data(0X3F);   //duty = 1/64
	
	OLED_send_cmd(0xA2);    //set offset
    OLED_send_data(0x00);
	
	OLED_send_cmd(0XA1);	//start line
	OLED_send_data(0X00);
	
	OLED_send_cmd(0XA0);  //set remap
	OLED_send_data(0X14);
	OLED_send_data(0X11);
	
	OLED_send_cmd(0XAB);	//funtion selection
	OLED_send_data(0X01);	//Enable internal VDD regulator
	
	OLED_send_cmd(0XB4);
	OLED_send_data(0XA0);
	OLED_send_data(0XFD);
	
	OLED_send_cmd(0XC1);	//set contrast current 
	OLED_send_data(0X9F);
	
	OLED_send_cmd(0XC7);	//master contrast current control
	OLED_send_data(0X0F);
	
	OLED_send_cmd(0XB1);	//SET PHASE LENGTH
	OLED_send_data(0XE2);
	
	OLED_send_cmd(0XD1);
	OLED_send_data(0X82);
	OLED_send_data(0X20);
	
	OLED_send_cmd(0XBB);	//SET PRE-CHANGE VOLTAGE
	OLED_send_data(0X1F);	//0.6*vcc
	
	OLED_send_cmd(0XB6);	//SET SECOND PRE-CHARGE PERIOD
	OLED_send_data(0X08);
	
	OLED_send_cmd(0XBE);	//SET VCOMH
	OLED_send_data(0X07);	//0.86*vcc
	
	OLED_send_cmd(0XA6);	//normal display
	
    OLED_send_cmd(0xAF);//ʾ  
  }

void Picture_display(const unsigned char *ptr_pic)
  {
    unsigned int ROW,column,x=0;
	OLED_send_cmd(0x15);
	  OLED_send_data(0x1c);
	  OLED_send_data(0x5b);
	  
	  OLED_send_cmd(0x75);
	  OLED_send_data(0x00);
	  OLED_send_data(0x7f);
	  OLED_send_cmd(0x5C);
    for(ROW=0;ROW<OLED_LINE_NUMBER;ROW++)        //ROW loop
      {   
		  x++;
	for(column=0;column<OLED_COLUMN_NUMBER;column++)	//column loop
          {
            OLED_send_data(*ptr_pic++);
			
          }
      }
	  
  }
void Picture_ReverseDisplay(const unsigned char *ptr_pic)
{
    unsigned int ROW,column,data;
	OLED_send_cmd(0x15);
	  OLED_send_data(0x1c);
	  OLED_send_data(0x5b);
	  
	  OLED_send_cmd(0x75);
	  OLED_send_data(0x00);
	  OLED_send_data(0x7f);
	  OLED_send_cmd(0x5C);
    for(ROW=0;ROW<OLED_LINE_NUMBER;ROW++)        //ROW loop
      { 
	  
	for(column=0;column<OLED_COLUMN_NUMBER;column++)	//column loop
          {
            data=*ptr_pic++;
            data=~data;
            OLED_send_data(data);
			
          }
      }
  }
void IO_init(void)
{
  PC_DDR|=0xFF;                         //PC  06,0703,04,07ģʽ
  PC_CR1 |=0xff;                         //0:ջ© 1
  PC_CR2|=0xFF;                         //ģʽ0ֹⲿжϣ1ʹⲿж ģʽ02M ,1:10M
  PC_ODR=0XFF;

}
int main()
{ 
  
  point= &picture_tab[0];
  IO_init();
  SPI_SCK_0;
  SPI_RST_0;
  delay_ms(100);
  SPI_RST_1;
  delay_ms(100);
  OLED_init();
  OLED_full();
  delay_ms(1000);
  OLED_clear();
  while(1)
  {
    Picture_display(point);
    delay_ms(3000);
    
    Picture_ReverseDisplay(point);
    delay_ms(3000);
    
  }
}

